Run of fresh-releases for pywavelets

Try this locally package):

debcheckout pywavelets
cd pywavelets
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
[2022-03-10 12:21:36] Opening branch at https://salsa.debian.org/python-team/modules/pywavelets.git/,branch=master
[2022-03-10 12:21:37] Using cached branch https://janitor.debian.net/git/pywavelets/,branch=debian%2Flatest
[2022-03-10 12:21:42] Total 1965 (delta 39), reused 0 (delta 0), pack-reused 1847
[2022-03-10 12:21:42] 
[2022-03-10 12:21:46] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-03-10 12:21:47] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-03-10 12:21:47] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-03-10 12:21:47] Workspace ready - starting.
[2022-03-10 12:21:47] Running ['deb-new-upstream', '--refresh-patches']
Using upstream branch https://github.com/PyWavelets/pywt.git (from configuration)
Total 9933 (delta 117), reused 119 (delta 63), pack-reused 9703
Using version string 1.2.0.
No upstream upstream-revision format specified, trying tag:1.1.1
No upstream upstream-revision format specified, trying tag:pywavelets-1.1.1
No upstream upstream-revision format specified, trying tag:v1.1.1
Not including upstream history, since previous upstream version (1.1.1) is not present in packaging branch history.
Using uscan to look for the upstream tarball.
uscan warn: Possible OpenPGP signature found at:
   https://pypi.debian.net/PyWavelets/PyWavelets-1.2.0.tar.gz.asc
 * Add opts=pgpsigurlmangle=s/$/.asc/ or opts=pgpmode=auto to debian/watch
 * Add debian/upstream/signing-key.asc.
 See uscan(1) for more details
Possible OpenPGP signature found at:
   https://pypi.debian.net/PyWavelets/PyWavelets-1.2.0.tar.gz.asc
 * Add opts=pgpsigurlmangle=s/$/.asc/ or opts=pgpmode=auto to debian/watch
 * Add debian/upstream/signing-key.asc.
 See uscan(1) for more details
Searching for revision importing pywavelets version 1.1.1 on branch upstream, packaging branch, tag debian/1.1.1-1.
Upstream import of 1.1.1 lacks a tag. Set one by running: brz tag -rrevid:git-v1:a2379c8c3bda71fccf00e867fbcceff13ea5e507 upstream/1.1.1
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.5.1-1.1 points at non-present sha 81d34bcdc858faf8966592aeefaff52b3d76f7c6
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.1.7_svn139 points at non-present sha 02107bd7ccae17afe853486a584ac4c4301a187e
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.2.2 points at non-present sha 52b9445948a5a6fbd5ed330e8b72e5ecd07263c7
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.5.1-1.2 points at non-present sha d2384c8504a5ebd82ab3cfb99066508db2dcb5b0
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.1.7_svn97 points at non-present sha 2c41c9bfdfb72c70f58979d91cf02bf9c4fc54f9
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/1.1.1-1 points at non-present sha 7f70f4be5f617db254887943b4cdd511089e713a
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/1.1.1 points at non-present sha 108add23252aa66158d8c68478326a832f566c8e
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.1.6 points at non-present sha 6c2c797c6679b50a7a0fe15e0249f393b28e26ea
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.5.1-1.3 points at non-present sha 3e5a08dce58aa2328e0c2ade7119826b98378f6a
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.2.0 points at non-present sha aa4502a6637954ea13cafb0193d539ea7930380b
  warnings.warn(
debian/0.5.1-1.1 does not point to a valid object
upstream/0.1.7_svn139 does not point to a valid object
upstream/0.2.2 does not point to a valid object
debian/0.5.1-1.2 does not point to a valid object
upstream/0.1.7_svn97 does not point to a valid object
debian/1.1.1-1 does not point to a valid object
upstream/1.1.1 does not point to a valid object
upstream/0.1.6 does not point to a valid object
debian/0.5.1-1.3 does not point to a valid object
upstream/0.2.0 does not point to a valid object
Imported pywavelets_1.2.0.orig.tar.gz with pristine-tar.
All changes applied successfully.
Committing to: /tmp/janitorimiw15hy/pywavelets/
added .coveragerc
added .github
added .github/FUNDING.yml
added .github/workflows
added .github/workflows/tests.yml
added .github/workflows/wheel_tests_and_release.yml
added .gitignore
added .mailmap
added .travis.yml
added CONTRIBUTING.rst
modified LICENSE
modified PKG-INFO
modified PyWavelets.egg-info/PKG-INFO
modified PyWavelets.egg-info/SOURCES.txt
modified PyWavelets.egg-info/requires.txt
modified README.rst
added appveyor.yml
added benchmarks
added benchmarks/README.rst
added benchmarks/asv.conf.json
added benchmarks/benchmarks
added benchmarks/benchmarks/__init__.py
added benchmarks/benchmarks/cwt_benchmarks.py
added benchmarks/benchmarks/dwt_benchmarks.py
added benchmarks/benchmarks/swt_benchmarks.py
added codecov.yml
added community_guidelines.rst
modified debian/changelog
modified demo/fswavedecn_mondrian.py
added demo/mra2d.py
added demo/mra_vs_swt.py
modified demo/swt2.py
modified demo/wp_2d.py
added demo/wp_nd.py
added doc/release/0.5.1-notes.rst
added doc/release/0.5.2-notes.rst
added doc/release/1.0.1-notes.rst
added doc/release/1.0.2-notes.rst
added doc/release/1.0.3-notes.rst
modified doc/release/1.1.0-notes.rst
added doc/release/1.2.0-notes.rst
modified doc/source/conf.py
modified doc/source/dev/installing_build_dependencies.rst
modified doc/source/dev/preparing_windows_build_environment.rst
modified doc/source/dev/testing.rst
modified doc/source/pyplots/cwt_scaling_demo.py
modified doc/source/ref/index.rst
added doc/source/ref/mra.rst
modified doc/source/ref/wavelet-packets.rst
modified doc/source/ref/wavelets.rst
added doc/source/release.0.5.1.rst
added doc/source/release.0.5.2.rst
added doc/source/release.1.0.1.rst
added doc/source/release.1.0.2.rst
added doc/source/release.1.0.3.rst
added doc/source/release.1.2.0.rst
modified doc/source/releasenotes.rst
added pyproject.toml
modified pytest.ini
modified pywt/__init__.py
modified pywt/_cwt.py
modified pywt/_dwt.py
modified pywt/_extensions/_cwt.c
modified pywt/_extensions/_cwt.pxd
modified pywt/_extensions/_cwt.pyx
modified pywt/_extensions/_dwt.c
modified pywt/_extensions/_dwt.pyx
modified pywt/_extensions/_pywt.c
modified pywt/_extensions/_pywt.h
modified pywt/_extensions/_pywt.pxd
modified pywt/_extensions/_pywt.pyx
modified pywt/_extensions/_swt.c
modified pywt/_extensions/_swt.pyx
added pywt/_mra.py
modified pywt/_multidim.py
modified pywt/_multilevel.py
modified pywt/_swt.py
modified pywt/_wavelet_packets.py
modified pywt/data/_readers.py
modified pywt/data/camera.npz
modified pywt/tests/test_cwt_wavelets.py
modified pywt/tests/test_data.py
modified pywt/tests/test_dwt_idwt.py
added pywt/tests/test_mra.py
modified pywt/tests/test_swt.py
modified pywt/tests/test_wavelet.py
modified pywt/tests/test_wp.py
modified pywt/tests/test_wp2d.py
added pywt/tests/test_wpnd.py
modified pywt/version.py
modified setup.py
modified tox.ini
modified util/authors.py
modified util/gh_lists.py
modified util/readthedocs/requirements.txt
deleted util/travis_osx_install.sh
Committed revision 62.
Merged new upstream version 1.2.0 (previous: 1.1.1)
Refresh quilt patches.
An error occurred refreshing quilt patch Use-the-packaged-MathJax.patch: 

Applying patch debian/patches/Use-the-packaged-MathJax.patch
patching file doc/source/conf.py
Hunk #1 FAILED at 238.
1 out of 1 hunk FAILED -- rejects in file doc/source/conf.py
Patch debian/patches/Use-the-packaged-MathJax.patch does not apply (enforce with -f)

Full worker log